PDA

View Full Version : Upgrade from 26 to 27



joe2
25th November 2017, 03:04 AM
I am getting following error during upgrade from 26 to 27.

Problem 1: package ceph-libs-compat-1:10.2.7-2.fc26.i686 requires libcephfs1 = 1:10.2.7-2.fc26, but none of the providers can be installed
- libcephfs1-1:10.2.7-2.fc26.i686 does not belong to a distupgrade repository
- problem with installed package ceph-libs-compat-1:10.2.7-2.fc26.i686


Problem 2: package grub2-efi-1:2.02-0.40.fc26.i686 requires grub2-tools = 1:2.02-0.40.fc26, but none of the providers can be installed
- grub2-tools-1:2.02-0.40.fc26.i686 does not belong to a distupgrade repository
- problem with installed package grub2-efi-1:2.02-0.40.fc26.i686

donatom
27th November 2017, 02:31 AM
Try running dnf update command with the "--allowerasing" option. So your command should look like this:

sudo dnf system-upgrade download --allowerasing --refresh --releasever=27

Make sure you are following the fedora wiki for upgrading interations:
https://fedoraproject.org/wiki/DNF_system_upgrade

antikythera
27th November 2017, 04:11 PM
allow erasing of grub2-efi? that could prevent the system from booting if it is not MBR based, read carefully what packages are going to be removed before proceeding.